Bug 174217 - Can't install over FTP. No hdlist
Can't install over FTP. No hdlist
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-11-25 19:11 EST by Amadeus
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-26 17:14:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Amadeus 2005-11-25 19:11:46 EST
When installing over FTP, Anaconda ask for a file Fedora/base/hdlist

This file is not shipped on the 5 disks, and is required to install over FTP.
Comment 1 Jeremy Katz 2005-11-25 19:23:35 EST
Nothing should be requiring an hdlist anymore -- can you switch to tty2 and grab
/tmp/anaconda.log and attach it here?
Comment 2 Amadeus 2005-11-25 19:33:13 EST
I have just tried again, and sadly can't I switch to tty2. Nothing happens when
I press Ctrl+Alt+F2.

For some reason it is still asking for it, so "grep -R hdlist *" in the anaconda
source most return something.
Comment 3 Jef Spaleta 2005-11-25 19:42:00 EST
Just to confirm  that I see the same thing attempting an http install.
tty2 is also blank for me.

Booting using cd1   and used linux askmethod

I'm going to try cd1  with linux askmethod debug  
and look for interesting crap on tty3

and i'm going to try using the boot.iso to do the network install.

I'll report back with results to this bug.

Comment 4 Jeremy Katz 2005-11-26 17:14:13 EST
Okay, I'm pretty sure I see what's causing this.  Should be fixed in CVS
Comment 5 Amadeus 2005-11-26 17:27:38 EST
Will I be able to download a file/package to replace on disc1, or will I have to
wait for test2?
Comment 6 Jeremy Katz 2005-11-26 18:06:23 EST
If you just touch Fedora/base/hdlist in your tree, it'll let you continue
installing for test1.  Actually testing the fix will need to wait until there's
a new anaconda built and then new CD1s, etc.
Comment 7 Amadeus 2005-11-26 18:42:05 EST
Touching hdlist doesn't work for me. Anaconda won't proceed.

/mnt/userspace/linux/fc51t/file/Fedora/base$ ll hdlist
-rw-r--r--  1 root root 0 Nov 27 00:35 hdlist

Comment 8 David Timms 2005-12-20 04:37:06 EST
touching hdlist works for me. Obviously since it was a mounted .iso file, I had
to mount elsewhere, copy the contents of iso into my disc1 directory, and then
touch (I happened to use nautilus - new file to do this). This satisfies the
needs of anaconda trying to find disc1/Fedora/base/hdlist, and the installer

Note You need to log in before you can comment on or make changes to this bug.